wxWidgets: wxTextDropTarget Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxTextDropTarget Class Referenceabstract
Class List by Category » Clipboard and Drag & Drop

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.i686/src/wxWidgets-3.0.5.1/interface/wx/dnd.h>`

Inheritance diagram for wxTextDropTarget:
[legend]

## Detailed Description

A predefined drop target for dealing with text data.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  Drag and Drop Overview, wxDropSource, wxDropTarget, wxFileDropTarget

## Public Member Functions
| wxTextDropTarget ()
| Constructor. More...
virtual bool | OnDrop (wxCoord x, wxCoord y)
| See wxDropTarget::OnDrop(). More...
virtual bool | OnDropText (wxCoord x, wxCoord y, const wxString &data)=0
| Override this function to receive dropped text. More...
Public Member Functions inherited from wxDropTarget
| wxDropTarget (wxDataObject *data=NULL)
| Constructor. More...
virtual | ~wxDropTarget ()
| Destructor. More...
virtual bool | GetData ()
| This method may only be called from within OnData(). More...
virtual wxDragResult | OnData (wxCoord x, wxCoord y, wxDragResult defResult)=0
| Called after OnDrop() returns true. More...
virtual wxDragResult | OnDragOver (wxCoord x, wxCoord y, wxDragResult defResult)
| Called when the mouse is being dragged over the drop target. More...
virtual wxDragResult | OnEnter (wxCoord x, wxCoord y, wxDragResult defResult)
| Called when the mouse enters the drop target. More...
virtual void | OnLeave ()
| Called when the mouse leaves the drop target. More...
wxDataObject * | GetDataObject () const
| Returns the data wxDataObject associated with the drop target. More...
void | SetDataObject (wxDataObject *data)
| Sets the data wxDataObject associated with the drop target and deletes any previously associated data object. More...
void | SetDefaultAction (wxDragResult action)
| Sets the default action for drag and drop. More...
wxDragResult | GetDefaultAction ()
| Returns default action for drag and drop or wxDragNone if this not specified. More...

## Constructor & Destructor Documentation

## ◆ wxTextDropTarget()

wxTextDropTarget::wxTextDropTarget | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ OnDrop()

virtual bool wxTextDropTarget::OnDrop | ( | wxCoord | x,
|  | wxCoord | y
| ) |  |
| virtual

See wxDropTarget::OnDrop().

This function is implemented appropriately for text, and calls OnDropText().

Reimplemented from wxDropTarget.

## ◆ OnDropText()

virtual bool wxTextDropTarget::OnDropText | ( | wxCoord | x,
|  | wxCoord | y,
|  | const wxString & | data
| ) |  |
| pure virtual

Override this function to receive dropped text.

Parameters

  x | The x coordinate of the mouse.
  y | The y coordinate of the mouse.
  data | The data being dropped: a wxString.

Return true to accept the data, or false to veto the operation.